Debian Bug report logs - #656960
PEAR channels support

version graph

Package: pkg-php-tools; Maintainer for pkg-php-tools is Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>; Source for pkg-php-tools is src:pkg-php-tools.

Reported by: Mathieu Parent <math.parent@gmail.com>

Date: Mon, 23 Jan 2012 09:31:15 UTC

Severity: wishlist

Fixed in version pkg-php-tools/1.3

Done: Mathieu Parent <sathieu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#656960; Package pkg-php-tools. (Mon, 23 Jan 2012 09:31:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Mon, 23 Jan 2012 09:31:21 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: PEAR channels support
Date: Mon, 23 Jan 2012 10:09:04 +0100
Package: pkg-php-tools
Severity: wishlist

pkg-php-tools should support PEAR channels in a clean and efficient way.

See http://pear.php.net/manual/en/channels.whatarethey.php and following pages.

-- 
Mathieu Parent




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#656960; Package pkg-php-tools. (Mon, 23 Jan 2012 09:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mathieu Parent (Debian)" <sathieu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Mon, 23 Jan 2012 09:42:06 GMT) Full text and rfc822 format available.

Message #10 received at 656960@bugs.debian.org (full text, mbox):

From: "Mathieu Parent (Debian)" <sathieu@debian.org>
To: Luis Uribe <acme@eviled.org>
Cc: pkg-php-pear@lists.alioth.debian.org, 656960@bugs.debian.org
Subject: Re: Advice needed using pkg-php-tools on PEAR packages
Date: Mon, 23 Jan 2012 10:39:22 +0100
(cc-ing the pkg-php list)

2012/1/14 Luis Uribe <acme@eviled.org>:
> Hi Mathieu,

Hi Luis,

> I'm trying to package [1]php-timer with pkg-php-tools but i'm having a
> bit of trouble, since is a package that is in another PEAR channel.

Yes, I also had this problem with the php-horde-* packages.
I have created a bug about this (656960) until we find a correct solution.

> First i have to do this before install it with PEAR:
>
>        $(PEAR) config-set php_dir debian/$(package)/usr/share/php/
>        $(PEAR) config-set doc_dir debian/$(package)/usr/share/doc/
>        $(PEAR) channel-add channel.xml
>
> So PEAR don't complains because the channel is not registered.

This is one solution. Another one: For the php-horde-* packages, they
depend on the pear-horde-channel package which include the registred
channel.

I don't know which solution is better. Perhaps we need another easier solution

[pear-horde-channel]:
http://packages.debian.org/sid/all/pear-horde-channel/filelist

> But then, when i build it with pbuilder, it fails:
>
> Here is the pbuilder related log:
>
> dh build --buildsystem=phppear --with phppear --with quilt
>   dh_testdir -O--buildsystem=phppear
>   dh_quilt_patch -O--buildsystem=phppear
> Applying patch 01_add_channel_info
> patching file channel.xml
>
> Now at patch 01_add_channel_info
>   dh_auto_configure -O--buildsystem=phppear
>   debian/rules override_dh_auto_build
> make[1]: Entering directory `/tmp/buildd/php-timer-1.0.2'
> dh_auto_build -O--buildsystem=phppear
> make[1]: Leaving directory `/tmp/buildd/php-timer-1.0.2'
>   dh_auto_test -O--buildsystem=phppear
>  fakeroot debian/rules binary
> dh binary --buildsystem=phppear --with phppear --with quilt
>   dh_testroot -O--buildsystem=phppear
>   dh_prep -O--buildsystem=phppear
>   dh_installdirs -O--buildsystem=phppear
>   dh_auto_install -O--buildsystem=phppear
> Unknown channel "pear.phpunit.de"
> Parsing of package.xml from file "./PHP_Timer-1.0.2/package.xml" failed
> Cannot download non-local package "./PHP_Timer-1.0.2/package.xml"
> install failed
> dh_auto_install: /usr/bin/pear -c debian/pearrc -d download_dir=/tmp
> -d include_path=/usr/share/php -d php_bin=/usr/bin/php -d
> bin_dir=/usr/bin -d php_dir=/usr/share/php -d
> data_dir=/usr/share/php/data -d doc_dir=/usr/share/doc/php-timer -d
> test_dir=/usr/share/php/tests install --offline --nodeps -P
> /tmp/buildd/php-timer-1.0.2/debian/php-timer
> ./PHP_Timer-1.0.2/package.xml returned exit code 1
> make: *** [binary] Error 1
> dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 2

I should investigate this one.

> So i add override_dh_auto_install to debian/rules as i explain in my
> debian-mentors@l.d.o [2]email and seems to work.
>
> Thomas tell me that it's better to ask you about this, what do you
> think about my approach? I haven't time to check the code of
> pkg-php-tools so perhaps i'm doing something complete horrible here.

Yes, you are[*]. And I am doing something completely horrible also ;-)

[*] joking

> I will try to check it next week and -if it's the case- make a patch
> or something to support PEAR installation of packages in another PEAR
> channel.
>
> Here are the links of my packages: [3]One with
> override_dh_auto_install (Right now on mentors.d.o) and the [4]other
> one without it (thats the one that fail).
>
> [1] https://github.com/sebastianbergmann/php-timer
> [2] http://lists.debian.org/debian-mentors/2012/01/msg00268.html
> [3] http://mentors.debian.net/debian/pool/main/p/php-timer/php-timer_1.0.2-1.dsc
> [4] http://labs.eviled.org/debian/php-timer_1.0.2-1.dsc
>
> Thanks,
>
> --
> Luis

Regards

-- 
Mathieu Parent




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>:
Bug#656960; Package pkg-php-tools. (Tue, 13 Mar 2012 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>. (Tue, 13 Mar 2012 18:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 656960@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: 656960@bugs.debian.org
Subject: Some thought
Date: Tue, 13 Mar 2012 19:07:49 +0100
This may, or may not, be of interest to install pear packages without
changing anything in the system:
http://www.ralf-lang.de/2012/03/02/installing-horde-4-pear-packages-to-a-custom-pear-location-suse/

Cheers
-- 
Mathieu Parent




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>:
Bug#656960; Package pkg-php-tools. (Mon, 26 Mar 2012 17:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luis Uribe <acme@eviled.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>. (Mon, 26 Mar 2012 17:03:08 GMT) Full text and rfc822 format available.

Message #20 received at 656960@bugs.debian.org (full text, mbox):

From: Luis Uribe <acme@eviled.org>
To: Thomas Goirand <zigo@debian.org>
Cc: Debian Mentors <debian-mentors@lists.debian.org>, Mathieu Parent <sathieu@debian.org>, pkg-php-pear@lists.alioth.debian.org, 656960@bugs.debian.org, 665846@bugs.debian.org, 611395@bugs.debian.org, 611393@bugs.debian.org, 611767@bugs.debian.org, 611394@debian.org
Subject: [RFR] - Multiple (4) PEAR packages needed by PHPUnit - Was: [RFR] - PHP_Timer (Needed by phpunit)
Date: Mon, 26 Mar 2012 11:59:15 -0500
[Message part 1 (text/plain, inline)]
Hi Thomas,

It's me again! Trying to upgrade PHPUnit into Debian.

After our last [0]email i just [1]ask Mathieu for the best way to install
PEAR packages from a different PEAR channel with pkg-php-tools and i
decided that the best way is to to create a new package:
pear-phpunit-channel, because there are many PEAR packages in that
channel.

So i fill an [2]ITP and [3]upload a new native package for
pear-phpunit-channel. Also i create new packages for [4]php-file-iterator,
[5]php-timer, [6]php-text-template and [7]php-token-stream. All of them
depends of pear-phpunit-channel and install their .reg file so PEAR
didn't install a new version of the same package.

Could you (or someone else) take a look at it? Those are the first set
of packages needed by [8]PHPUnit. The packages are lintian clean and
builds correctly in a pbuilder (sid, i didn't check on testing or stable yet).

[0] http://lists.debian.org/debian-mentors/2012/01/msg00268.html
[1] http://lists.alioth.debian.org/pipermail/pkg-php-pear/2012-January/000238.html
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=665846
[3] http://mentors.debian.net/debian/pool/main/p/pear-phpunit-channel/pear-phpunit-channel_1.1.dsc
[4] http://mentors.debian.net/debian/pool/main/p/php-file-iterator/php-file-iterator_1.3.1-1.dsc
[5] http://mentors.debian.net/debian/pool/main/p/php-timer/php-timer_1.0.2-1.dsc
[6] http://mentors.debian.net/debian/pool/main/p/php-token-stream/php-token-stream_1.1.3-1.dsc
[7] http://mentors.debian.net/debian/pool/main/p/php-text-template/php-text-template_1.1.1-1.dsc
[8] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=607393

After that, i expect to continue with the other set of dependences and
finally adopt PHPUnit, hopefully the new version will be in testing
before the freeze.

Regards.

On Sat, Jan 14, 2012 at 03:32:34PM +0800, Thomas Goirand wrote:
> On 01/14/2012 07:29 AM, Luis Uribe wrote:
> > Hi Thomas
> > 
> > It's been a few months since i wrote you asking for help with php-timer, well
> > finally i have time to send you a new package with all of your points fixed.
> > 
> > I will be happy if you (or someone else) could take a look at it. Thanks.
> > 
> > http://mentors.debian.net/debian/pool/main/p/php-timer/php-timer_1.0.2-1.dsc
> 
> Hi,
> 
> Let me review it.
> 
> 1/ debian/README.source
> This file talks about dpatch, however, you are using quilt. Please fix
> it, or simply remove the file.
> 
> >> 6/ Once installed, your package creates:
> >> /usr/share/php/PHP/Timer.php
> >> /usr/share/php/PHP/Timer/Autoload.php
> >>
> >> IMHO, it should rather install:
> >> /usr/share/php/Timer/Timer.php
> >> /usr/share/php/Timer/Timer/Autoload.php
> > 
> > Done, i change the dir's name in override_dh_install because i don't know (and
> > i don't think it's possible) how to represent a new dir in a patch. Let me know
> > if that approach is wrong.
> > 
> > I also add override_dh_auto_install because dh_auto_install
> > -O--buildsystem=phppear
> > didn't work when i build it on pbuilder. It seems to happen because php-timer
> > is a PEAR package from another channel, also i'd like to know what do you think
> > about it.
> 
> I think you should talk about it with Mathieu Parent, who wrote
> pkg-php-tools. I've put him as Cc: to this mail.
> 
> >> 7/ Do you know why your package doesn't build in Squeeze? :)
> > 
> > Ehhm ... it is necessary? I always build it on sid.
> 
> It's not mandatory, but it's better if it does, so that you can
> eventually write a backport. Never mind, forget it.
> 
> Cheers,
> 
> Thomas

-- 
Luis Uribe
http://eviled.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>:
Bug#656960; Package pkg-php-tools. (Mon, 26 Mar 2012 17:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>. (Mon, 26 Mar 2012 17:57:10 GMT) Full text and rfc822 format available.

Message #25 received at 656960@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Luis Uribe <acme@eviled.org>
Cc: Debian Mentors <debian-mentors@lists.debian.org>, Mathieu Parent <sathieu@debian.org>, pkg-php-pear@lists.alioth.debian.org, 656960@bugs.debian.org, 665846@bugs.debian.org, 611395@bugs.debian.org, 611393@bugs.debian.org, 611767@bugs.debian.org, 611394@debian.org
Subject: Re: [RFR] - Multiple (4) PEAR packages needed by PHPUnit - Was: [RFR] - PHP_Timer (Needed by phpunit)
Date: Tue, 27 Mar 2012 01:56:08 +0800
On 03/27/2012 12:59 AM, Luis Uribe wrote:
> Hi Thomas,
> 
> It's me again! Trying to upgrade PHPUnit into Debian.

Hi,

Thanks a lot for this effort, I really need it myself for testing my own
(numerous) PEAR packages, and I'm really willing to help here. Are you
ok if we work *together*, meaning, I'd be co-maintaining?

Do you mind if we use Git and Alioth to do these packaging? If you are
ok to do like this, then please checkout the Git repository under
/git/pkg-php/pear-phpunit-channel.git on Alioth. I have added,
accordingly, the Vcs fields:

Vcs-Browser: http://git.debian.org/?p=pkg-php/pear-phpunit-channel.git
Vcs-Git: http://git.debian.org/git/pkg-php/pear-phpunit-channel.git

If it isn't done already, please register to the PKG-PHP Alioth group,
and if you're not a PEAR packager yet, I can give you these rights (I'm
admin of the PKG-PHP group on Alioth). Let me know when done.

> After our last [0]email i just [1]ask Mathieu for the best way to install
> PEAR packages from a different PEAR channel with pkg-php-tools and i
> decided that the best way is to to create a new package:
> pear-phpunit-channel, because there are many PEAR packages in that
> channel.

I think that this is a good idea and a good approach to the problem.

> So i fill an [2]ITP and [3]upload a new native package for
> pear-phpunit-channel.

Let me start a quick review of this one, then we'll be able to talk
about the others once this first one will be sponsored.

1/ dh_phppear substitution variables in debian/control
First of all, you are using the things for dh_phppear, with your control
file having:

Depends: ${misc:Depends}, php-pear, ${phppear:Debian-Depends}
Recommends: ${phppear:Debian-Recommends}
Breaks: ${phppear:Debian-Breaks}

But this is *not* a PEAR package that you are packaging here. It's a
single file (eg: the pear.phpunit.de.reg and nothing else, if I
understood correctly your package). So there's no reason at all to use
pkg-php-tools, which by the way, you do not even depend on, even with
the variable substitution above.

2/ The use of dh 8 sequencer
While it's "ok" to use the dh 8 sequencer, in fact, your package only
needs to install a single unique file. Frankly, that's a bit overkill to
have all these calls for nothing.

3/ Build-Depends: and Depends: on php-pear
I don't think these are even needed. What we are packaging here is a
single file, which doesn't need pear to get installed or "run". So why
would we [Build-]Depends on php-pear? To me, it's not needed.

4/ Native package
You decided to use a native package. But how did you get the
pear.phpunit.de.reg file? Isn't it coming from upstream?

I have made corrections for all the above. If you agree with this, then
I'll upload. Let me know if there are some points you do not agree with
(I don't pretend to be the best at everything, and you might have
reasons for things you did...).

> Also i create new packages for [4]php-file-iterator,
> [5]php-timer, [6]php-text-template and [7]php-token-stream. All of them
> depends of pear-phpunit-channel and install their .reg file so PEAR
> didn't install a new version of the same package.
> 
> Could you (or someone else) take a look at it?

If you don't mind, I'd like to make sure that the pear-phpunit-channel
package is in good shape and uploaded before moving to the others.
Experience showed me that this is the best way to save time.

Thanks for your interest in doing these (very useful) packages,

Thomas Goirand (zigo)




Reply sent to Mathieu Parent <sathieu@debian.org>:
You have taken responsibility. (Tue, 08 Jan 2013 21:36:03 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Parent <math.parent@gmail.com>:
Bug acknowledged by developer. (Tue, 08 Jan 2013 21:36:03 GMT) Full text and rfc822 format available.

Message #30 received at 656960-close@bugs.debian.org (full text, mbox):

From: Mathieu Parent <sathieu@debian.org>
To: 656960-close@bugs.debian.org
Subject: Bug#656960: fixed in pkg-php-tools 1.3
Date: Tue, 08 Jan 2013 21:32:51 +0000
Source: pkg-php-tools
Source-Version: 1.3

We believe that the bug you reported is fixed in the latest version of
pkg-php-tools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 656960@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mathieu Parent <sathieu@debian.org> (supplier of updated pkg-php-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 08 Jan 2013 22:20:54 +0100
Source: pkg-php-tools
Binary: pkg-php-tools
Architecture: source all
Version: 1.3
Distribution: unstable
Urgency: low
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Changed-By: Mathieu Parent <sathieu@debian.org>
Description: 
 pkg-php-tools - various packaging tools and scripts for PHP PEAR packages
Closes: 656960
Changes: 
 pkg-php-tools (1.3) unstable; urgency=low
 .
   * PEAR channels support (Closes: #656960)
     - detect channel.xml file
     - carefully install only channel files
     - more substvars
   * Bumped Standards-Version to 3.9.4 (no change).
   * Documentation updates and improvements
Checksums-Sha1: 
 fa0fb54ce1227778f580f7fc0c42fa9cc6755305 1024 pkg-php-tools_1.3.dsc
 739c79750b808c9789433d74629eb1067718af12 12331 pkg-php-tools_1.3.tar.gz
 f3fa33bf416dcac38959964f7e9afb6fd1af9fa0 17384 pkg-php-tools_1.3_all.deb
Checksums-Sha256: 
 52ea7f3f13ecf66e2c09dc8d8868a272ebf3fd8a7cfdc2bf10845a327ea18b32 1024 pkg-php-tools_1.3.dsc
 6ab92ffc9f10754430cd3e6186aa4a6ada25992d99feb9de231a26ce4796e316 12331 pkg-php-tools_1.3.tar.gz
 71925d3384209f5da5047282eecba854b262cab870e5dffe9bf12c4c38a40b3f 17384 pkg-php-tools_1.3_all.deb
Files: 
 7bd5b12a1514093b49af370090ff8744 1024 php extra pkg-php-tools_1.3.dsc
 db035fedc5300a4756501446643500a9 12331 php extra pkg-php-tools_1.3.tar.gz
 11eb8e2a9a7991f0651dd866ee1517a3 17384 php extra pkg-php-tools_1.3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlDsjeUACgkQOW2jYf5fHX+SKwCePPXoyRys0sStbPlLZXA1VJlL
JuAAnibGneYmBVtlZ03hnNbTKbW5WaNu
=ZdtT
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 08:43:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:36:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.